Skip to main content
POST
/
api
/
organization
/
{organization_id}
/
member
Create Organization Member
curl --request POST \
  --url https://config.heyhumm.ai/api/organization/{organization_id}/member \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "role": "ANALYST"
}
'
{
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "role": "ANALYST",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "membership_state": "active"
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string<uuid> | null
required

Query Parameters

resource_id
string<uuid> | null
source_id
string<uuid> | null
integration_source_id
string<uuid> | null
data_source_id
string<uuid> | null
context_source_id
string<uuid> | null
job_id
string<uuid> | null

Body

application/json
user_id
string<uuid>
required
organization_id
string<uuid> | null
role
enum<string>
default:ANALYST
Available options:
SYSTEM_ADMIN,
ORGANIZATION_ADMIN,
ANALYST

Response

Successful Response

organization_id
string<uuid>
required
user_id
string<uuid>
required
role
enum<string>
default:ANALYST
Available options:
SYSTEM_ADMIN,
ORGANIZATION_ADMIN,
ANALYST
id
string<uuid>
created_at
string<date-time>
updated_at
string<date-time>
membership_state
string
default:active
Maximum string length: 32